# MatFDColoringCreate

Creates a matrix coloring context for finite difference computation of Jacobians.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatFDColoringCreate(Mat mat,ISColoring iscoloring,MatFDColoring *color)

Collective on Mat

### Input Parameters

| mat | - the matrix containing the nonzero structure of the Jacobian
| iscoloring | - the coloring of the matrix

### Output Parameter

color -the new coloring context

### See Also

MatFDColoringDestroy(),SNESDefaultComputeJacobianColor(), ISColoringCreate(),
MatFDColoringSetFunction(), MatFDColoringSetFromOptions(), MatFDColoringApply(), MatFDColoringSetFrequency(), MatFDColoringSetRecompute(), MatFDColoringView(), MatFDColoringSetParameters()

Level:intermediate
Location: src/mat/matfd/fdmatrix.c
Index of all MatFD routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex5s.c.html
src/snes/examples/tutorials/ex14.c.html
src/snes/examples/tutorials/ex26.c.html
src/ts/examples/tutorials/ex7.c.html